# Created by pyp2rpm-3.3.7
%global pypi_name xontrib-readable-traceback
%global pypi_version 0.3.2

Name:           python-%{pypi_name}
Version:        %{pypi_version}
Release:        1%{?dist}
Summary:        Traceback easier to see for xonsh

License:        MIT
URL:            https://github.com/6syun9/xontrib-readable-traceback
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
 xontrib-readable-traceback Make traceback easier to see for xonsh.Python work
very often with large libraries like pandas, or matplotlib. This means that
exceptions often produce long stack traces. Since we don't need to see the
library detail in the vast majority of cases. Especially with a shell like
xonsh.This xontrib making readable and short traceback.example: Simple division
by zero...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(backtrace)
Requires:       python3dist(colorama) >= 0.3.7
%description -n python3-%{pypi_name}
 xontrib-readable-traceback Make traceback easier to see for xonsh.Python work
very often with large libraries like pandas, or matplotlib. This means that
exceptions often produce long stack traces. Since we don't need to see the
library detail in the vast majority of cases. Especially with a shell like
xonsh.This xontrib making readable and short traceback.example: Simple division
by zero...


%prep
%autosetup -n %{pypi_name}-%{pypi_version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%doc README.md
%{python3_sitelib}/xontrib
%{python3_sitelib}/xontrib_readable_traceback-%{pypi_version}-py%{python3_version}.egg-info

%changelog
* Sun Nov 07 2021 mockbuilder - 0.3.2-1
- Initial package.